$(document).ready(function($) {
	setWidgetSizes();
    
    if (isAPIRef() == false) // do not generate TOC for api ref - doesn't make sense there
    {
        tocbot.init({
            // Where to render the table of contents.
            tocSelector: '.js-toc',
            // Where to grab the headings to build the table of contents.
            contentSelector: '.js-toc-content',
            // Which headings to grab inside of the contentSelector element.
            headingSelector: 'h2, h3',
            // For headings inside relative or absolute positioned containers within content.
            hasInnerContainers: true,
            collapseDepth: 6,
        });
    }
    
    title_id = $( "#title")
    if (title_id)
        $("title").html(title_id.html());
    else
        $("title").html("HOOPS Documentation");
});

function toggleSearch(searchChoice)
{
    if (searchChoice === "Global_Search")
    {
        searchBox.CloseResultsWindow();
        $('#API_Search').css('display','none');
        $('#Global_Search').css('display', 'inline-block');
    }
    else
    {
        $('#Global_Search').css('display','none');
        $('#API_Search').css('display', 'inline-block');
    }
}

$( window ).resize(function() {
    setWidgetSizes();
});


function setWidgetSizes()
{
    var leftNav = $( "#left" );
    var rightNav = $( "#right" );
    var mainContent = $( "#mainContent" );
    var search = $( "#Search" );
    var leftDisplay = leftNav.css("display") == "block" ? true : false;
     
    var api_ref = isAPIRef();
    
	if ($( window ).width() > 1250)
    {
        if (leftDisplay)
        {
            leftNav.css("display", "block");
            mainContent.css("margin-left", "360px");
        }
        rightNav.css("display", (api_ref == true ? "none" : "block")); // do not display TOC panel in api ref
        search.css("display", "block");
        mainContent.css("margin-right", (api_ref == false ? "200px" : "30px"));
	}
	else if ($( window ).width() > 750)
	{
        if (leftDisplay)
        {
            leftNav.css("display", "block");
            mainContent.css("margin-left", "360px");    
        }
        mainContent.css("margin-right", "30px"); 
        rightNav.css("display", "none");
        search.css("display", "block");
           
	}
    else // width < 750
    {
        rightNav.css("display", "none");
        search.css("display", "none");        
          
        mainContent.css("margin-right", "10px"); 
    }
}

function closeLeftPanel()
{
    var leftNav = $( "#left" );
    var mainContent = $( "#mainContent" );
    var openbutton = $( "#openbutton" );
    var closebutton = $( "#closebutton" );
    
    leftNav.css("display", "none");
    openbutton.css("display", "block");
    closebutton.css("display", "none");
    mainContent.css("margin-left", "50px");   
    mainContent.css("position", "relative");   
}

function openLeftPanel()
{
    var leftNav = $( "#left" );
    var mainContent = $( "#mainContent" );
    var openbutton = $( "#openbutton" );
    var closebutton = $( "#closebutton" );
    
    leftNav.css("display", "block");
    leftNav.css("position", "sticky");
    openbutton.css("display", "none");
    closebutton.css("display", "block");
    mainContent.css("position", "static");   
    
    setWidgetSizes();    
}